// -*- mode: jsonc -*-
{
    //"output": "eDP-1",
    // "layer": "top", // Waybar at top layer
    // "position": "bottom", // Waybar position (top|bottom|left|right)
    "height": 30, // Waybar height (to be removed for auto height)
    // "width": 1280, // Waybar width
    "spacing": 4, // Gaps between modules (4px)
    // Choose the order of the modules
    "modules-left": [
        "hyprland/workspaces",
        "idle_inhibitor"
    ],
    "modules-center": [
        "mpd"
    ],
    "modules-right": [
        "power-profiles-daemon",
        "pulseaudio",
        "network",
        "cpu",
        "memory",
        "temperature",
        //"backlight",
        //"hyprland/language",
        "battery",
        //"battery#bat2",
        "tray",
        "clock"
        // "custom/power"
    ],
    // Modules configuration
    "hyprland/workspaces": {
        "disable-scroll": true,
        "all-outputs": false,
        "active-only": true,
        "warp-on-scroll": false,
        "persistent-workspaces": {
          // "1": [],
          // "2": [],
          // "3": [],
          // "4": [],
          // "5": [],
          // "6": [],
          // "7": [],
          // "8": [],
          // "9": [],
          // "10": [],
          // "11": [],
          // "12": []
          "eDP-1": [1,2,3,4,5,6,7,8,9],
          "HDMI-A-1": [10,11,12],
          "FUCKOFF": [13,14]
        },
        "ignore-workspaces": [
          "*13",
          "*14"
        ],
        "format": "{icon}",
        "format-icons": {
            "1": "",
            "2": "二",
            "3": "三",
            "4": "四",
            "5": "五",
            "6": "六",
            "7": "七",
            "8": "八",
            "9": "九",
            "10": "零",
            "11": "一",
            "12": "十",
            // "3": "",
            "default": "",
            "empty": ""
        }
    },
    "keyboard-state": {
        "numlock": true,
        "capslock": true,
        "format": "{name} {icon}",
        "format-icons": {
            "locked": "",
            "unlocked": ""
        }
    },
    "hyprland/language": {
        "format-ru": "RU",
        "format-en": "EN"
    },
    "hyprland/mode": {
        "format": "<span style=\"italic\">{}</span>"
    },
    "hyprland/scratchpad": {
        "format": "{icon} {count}",
        "show-empty": false,
        "format-icons": ["", ""],
        "tooltip": true,
        "tooltip-format": "{app}: {title}"
    },
    "mpd": {
        "password": "kapuchinamusica",
        "artist-len": 15,
        "title-len": 30,
        "unknown-tag": "n/a",
        "format": "{stateIcon} {artist} - {title} {elapsedTime:%M:%S}/{totalTime:%M:%S}",
        "interval": 1,
        "single-icons": {
            "on": "1 "
        },
        "state-icons": {
            "paused": "",
            "playing": ""
        },
        "tooltip-format": "MPD (connected)",
        "tooltip-format-disconnected": "MPD (disconnected)",
        "on-click": "mpc toggle --password kapuchinamusica"
    },
    "idle_inhibitor": {
        "format": "{icon}",
        "format-icons": {
            "activated": "",
            "deactivated": ""
        }
    },
    "tray": {
        // "icon-size": 21,
        "spacing": 10,
        "icons": {
            "blueman": "bluetooth",
            "*": "folder-symbolic"
        }
    },
    "clock": {
        // "timezone": "America/New_York",
        "interval": 1,
        "tooltip-format": "<big>{:%A ( %B %d )}</big>\n<tt><small>{calendar}</small></tt>",
        "format": "{:%H:%M:%S}",
        "format-alt": "{:%Y-%m-%d}",
        "calendar": {
          "format": {
            // "months":     "<span color='#ffead3'><b>{}</b></span>",
            "days":       "<span color='#ecc6d9'><b>{}</b></span>",
            "weeks":      "<span color='#BC4056'><b>W{}</b></span>",
            "weekdays":   "<span color='#F8B5CE'><b>{}</b></span>",
            "today":      "<span color='#d14781'><b><u>{}</u></b></span>"
          }
        }
    },
    "cpu": {
        "format": "{usage}% ",
        "tooltip": false,
        "interval": 3
    },
    "memory": {
        "format": "{}% 󱤓",
        "interval": 3
    },
    "temperature": {
        // "thermal-zone": 2,
        // "hwmon-path": "/sys/class/hwmon/hwmon2/temp1_input",
        "critical-threshold": 80,
        // "format-critical": "{temperatureC}°C {icon}",
        "format": "{temperatureC}°C {icon}",
        "format-icons": ["", "", ""]
    },
    "backlight": {
        // "device": "acpi_video1",
        "format": "{percent}% {icon}",
        "format-icons": ["", "", "", "", "", "", "", "", ""]
    },
    "battery": {
        "states": {
            "good": 85,
            "warning": 30,
            "critical": 18
        },
        "format": "{capacity}% {icon}",
        "format-full": "{capacity}% {icon}",
        "format-charging": "{capacity}% ",
        "format-plugged": "{capacity}% ",
        "format-alt": "{time} {icon}",
        // "format-good": "", // An empty format will hide the module
        // "format-full": "",
        "format-icons": ["", "", "", "", ""]
    },
    "battery#bat2": {
        "bat": "BAT2"
    },
    "power-profiles-daemon": {
      "format": "{icon}",
      "tooltip-format": "Power profile: {profile}\nDriver: {driver}",
      "tooltip": true,
      "format-icons": {
        "default": "󰓅",
        "performance": "󰓅",
        "balanced": "󰾅",
        "power-saver": "󰾆"
      }
    },
    "network": {
        // "interface": "wlp2*", // (Optional) To force the use of this interface
        "format-wifi": "{signalStrength}% ",
        "format-ethernet": "{ipaddr}/{cidr} ",
        "tooltip-format": "{essid} {ifname} via {gwaddr} ",
        "format-linked": "{ifname} (No IP) ",
        "format-disconnected": "Disconnected ⚠",
        "on-click": "hyprctl dispatch exec, [float; move center] kitty -e nmtui"
    },
    "pulseaudio": {
        // "scroll-step": 1, // %, can be a float
        "format": "{volume}% {icon} {format_source}",
        "format-bluetooth": "{volume}% {icon} {format_source}",
        "format-bluetooth-muted": " {icon} {format_source}",
        "format-muted": " {format_source}",
        "format-source": "{volume}% ",
        "format-source-muted": "",
        "format-icons": {
            "headphone": "",
            //"hands-free": "",
            //"headset": "",
            "phone": "",
            "portable": "",
            "car": "",
            "default": ["", "", ""]
        },
        "on-click": "pwvucontrol"
    },
    "custom/media": {
        "format": "{icon} {text}",
        "return-type": "json",
        "max-length": 40,
        "format-icons": {
            "spotify": "",
            "default": "🎜"
        },
        "escape": true,
        "exec": "$HOME/.config/waybar/mediaplayer.py 2> /dev/null" // Script in resources folder
        // "exec": "$HOME/.config/waybar/mediaplayer.py --player spotify 2> /dev/null" // Filter player based on name
    },
    "custom/power": {
        "format" : "⏻ ",
		"tooltip": false,
		"menu": "on-click",
		"menu-file": "$HOME/.config/waybar/power_menu.xml", // Menu file in resources folder
		"menu-actions": {
			"shutdown": "shutdown",
			"reboot": "reboot",
			"suspend": "systemctl suspend",
			"hibernate": "systemctl hibernate"
		}
    }
}
